/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE
  e_obj_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_obj_not_exists, -04043);
BEGIN
  EXECUTE IMMEDIATE 'DROP TYPE xxas_nh_phone_tbl force';
  EXECUTE IMMEDIATE 'DROP TYPE xxas_nh_phone_type force';
EXCEPTION
  WHEN e_obj_not_exists THEN
    NULL;
END;
/

create or replace TYPE xxas_nh_phone_type AS OBJECT
  (phone_type             varchar2(200)
  ,phone_number           varchar2(200)
  );
/

create or replace TYPE xxas_nh_phone_tbl IS TABLE OF xxas_nh_phone_type
/

COMMIT;
EXIT;
